Bouncy Castle Cryptography Library 1.42

## org.bouncycastle.tsp
Class TSPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.bouncycastle.tsp.TSPException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TSPValidationException

    public class TSPException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`TSPException(java.lang.String message)`
`TSPException(java.lang.String message, java.lang.Exception e)`

Method Summary
`java.lang.Exception` `getUnderlyingException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TSPException

    public TSPException(java.lang.String message)

### TSPException

    public TSPException(java.lang.String message,
                        java.lang.Exception e)

Method Detail

### getUnderlyingException

    public java.lang.Exception getUnderlyingException()

Bouncy Castle Cryptography Library 1.42